Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.tracking
Interface TrackingConstants

All Known Subinterfaces:
  BehaviorTrackingMBean

public interface TrackingConstants

Encapsulates constants associated with behavior tracking. All classes in the tracking service should use these constants to avoid typos, conflicting names, etc.

Field Summary
`static int` | `DEFAULT_BUFFER_SIZE` The default size of the events buffer.
`static String` | `DEFAULT_DATA_SOURCE_NAME` The default connection pool name
`static int` | `DEFAULT_FORCE_FLUSH_INTERVAL` Default maximum age of an event in the buffer is 120 seconds.
`static int` | `DEFAULT_TIME_INTERVAL` The default time interval, in seconds, at which the events buffer will be checked to see if it needs to be persisted to the database.
`static int` | `MAX_BUFFER_SIZE` The maximum size of the events buffer.
`static int` | `MAX_FORCE_FLUSH_INTERVAL` Maximum allowable age of an event in the buffer, in seconds.
`static int` | `MAX_TIME_INTERVAL` Maximum time, in seconds, to check to see if events in the buffer must be persisted to the database.
`static int` | `MIN_BUFFER_SIZE` The minumum size of the events buffer.
`static int` | `MIN_TIME_INTERVAL` Minimum time, in seconds, to check to see if events in the buffer must be persisted to the database.

Field Detail

### DEFAULT_FORCE_FLUSH_INTERVAL

    public static final int DEFAULT_FORCE_FLUSH_INTERVAL

  Default maximum age of an event in the buffer is 120 seconds. This means that events will not stay in the buffer for more than 120 seconds before being persisted to the database.

  See Also:
    Constant Field Values

### MAX_FORCE_FLUSH_INTERVAL

    public static final int MAX_FORCE_FLUSH_INTERVAL

  Maximum allowable age of an event in the buffer, in seconds. Translates to 5 minutes.

  See Also:
    Constant Field Values

### DEFAULT_TIME_INTERVAL

    public static final int DEFAULT_TIME_INTERVAL

  The default time interval, in seconds, at which the events buffer will be checked to see if it needs to be persisted to the database. There are two conditions that will trigger the persistence of the buffer: either the max buffer size has been reached, or the max age of an event in the buffer has been exceeded.

  See Also:
    Constant Field Values

### MIN_TIME_INTERVAL

    public static final int MIN_TIME_INTERVAL

  Minimum time, in seconds, to check to see if events in the buffer must be persisted to the database. Setting this value to any less than this might cause performance problems. There are two conditions that will trigger the persistence of the buffer: either the max buffer size has been reached, or the max age of an event in the buffer has been exceeded.

  See Also:
    Constant Field Values

### MAX_TIME_INTERVAL

    public static final int MAX_TIME_INTERVAL

  Maximum time, in seconds, to check to see if events in the buffer must be persisted to the database. Translates to 5 minutes.

  See Also:
    Constant Field Values

### DEFAULT_BUFFER_SIZE

    public static final int DEFAULT_BUFFER_SIZE

  The default size of the events buffer.

  See Also:
    Constant Field Values

### MIN_BUFFER_SIZE

    public static final int MIN_BUFFER_SIZE

  The minumum size of the events buffer. Using this value means the events will be persisted to the database as soon as they are received.

  See Also:
    Constant Field Values

### MAX_BUFFER_SIZE

    public static final int MAX_BUFFER_SIZE

  The maximum size of the events buffer.

  See Also:
    Constant Field Values

### DEFAULT_DATA_SOURCE_NAME

    public static final String DEFAULT_DATA_SOURCE_NAME

  The default connection pool name

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved